Skip to content

Kling task query

After submitting a Kling task, poll status and results by task ID through the OpenAI-compatible endpoint.

http
GET /v1/videos/{task_id}

Replace {task_id} in the path with the task ID returned by Video generation. When complete, read the result from video_url (or metadata.url).

Headers

NameTypeRequiredDescription
stringYesRequest authentication. Use a Bearer Token, for example:

Request parameters

NameTypeRequiredDescription
stringYesPath parameter; same as the id or task_id returned by the generation endpoint

Request example

bash
curl https://octopusx.ai/v1/videos/task_ZOAIupBoCLMo3dmUGcrKUcUEUnCLctc6 \
  -H "Authorization: Bearer <token>"

Response example

json
{
  "id": "task_ZOAIupBoCLMo3dmUGcrKUcUEUnCLctc6",
  "object": "video",
  "model": "Kling-3.0-Omni",
  "status": "processing",
  "progress": 50,
  "created_at": 1774494511
}
json
{
  "id": "task_ZOAIupBoCLMo3dmUGcrKUcUEUnCLctc6",
  "object": "video",
  "model": "Kling-3.0-Omni",
  "status": "completed",
  "progress": 100,
  "created_at": 1774494511,
  "completed_at": 1774494622,
  "metadata": {
    "url": "https://example.com/video/aigcVideoGenFile.mp4"
  },
  "video_url": "https://example.com/video/aigcVideoGenFile.mp4"
}

Response fields

NameTypeDescription
stringTask ID
stringAlways
stringModel name
stringTask status: , , , ,
integerProgress percentage 0–100
integerCreation timestamp
integerCompletion timestamp (returned when completed)
stringVideo URL (inside metadata)
stringVideo URL (same as )